commit:     7b7e820b0cffe7a289e16152d4351e22f3170721
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  8 18:34:22 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb  8 18:55:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b7e820b

dev-python/ipywidgets: Bump to 8.1.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ipywidgets/Manifest                |  1 +
 dev-python/ipywidgets/ipywidgets-8.1.2.ebuild | 61 +++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index a1592647360d..d6794d454eba 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1 +1,2 @@
 DIST ipywidgets-8.1.1.tar.gz 116420 BLAKE2B 
9f138178dc213cac8d3c21a366f47c10675d8d74eb3e29f07c12b10c3a99281896f15afc4f609a4f9ad5f0eac5c60507b10cc98a01500d46150dd6ce36b15b3c
 SHA512 
287f4cb56fe08b1ca01c7f226d7c8a1471d33bb1c36053e705326356c82de8686d6d59be0b50c3016c6c168c743f37de366a5fdf5f8a00c9d0678773e8c1618e
+DIST ipywidgets-8.1.2.tar.gz 116492 BLAKE2B 
0fc8283b332447cd3659d39d4564e2e794678169c7bc156660f3478251c4df23de1719e4fcf9651b9766506edf359bdfc803b1450520a3cbce290b39bd95bd3c
 SHA512 
59ddc92bb9b18b6cd36b1499465e700ce9b11010e2d51cdf0a820b36efecbea1facab42ced2f61de312319f4fd4e672bb27b248d40ee0088f3b58acfd102ab61

diff --git a/dev-python/ipywidgets/ipywidgets-8.1.2.ebuild 
b/dev-python/ipywidgets/ipywidgets-8.1.2.ebuild
new file mode 100644
index 000000000000..b9f7a42007fc
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-8.1.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+       https://ipywidgets.readthedocs.io/
+       https://github.com/jupyter-widgets/ipywidgets/
+       https://pypi.org/project/ipywidgets/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/comm-0.1.3[${PYTHON_USEDEP}]
+       >=dev-python/ipython_genutils-0.2.0[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+       >=dev-python/widgetsnbextension-4.0.10[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/ipython-6.1.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # upstream hack to autoconfigure ipywidgets in jupyter
+       # we don't have jupyterlab_widgets packaged
+       sed -i -e '/jupyterlab_widgets/d' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=()
+
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               # https://github.com/pypy/pypy/issues/4892
+                               
ipywidgets/widgets/tests/test_interaction.py::test_interact_noinspect
+                       )
+                       ;;
+       esac
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to